return {
	"nvim-treesitter/nvim-treesitter",
    branch = "master",
	build = ":TSUpdate",
	event = { "BufReadPost", "BufNewFile" },
	config = function()
		local ok, configs = pcall(require, "nvim-treesitter.configs")
		if ok then
			configs.setup({
				auto_install = true,
				ensure_installed = {
					"python",
					"lua",
					"json",
					"yaml",
					"javascript",
					"typescript",
					"tsx",
					"html",
					"css",
					"bash",
					"markdown",
					"markdown_inline",
				},
				highlight = { enable = true },
				indent = { enable = true },
                folding = { enable = true },
			})
		end
	end,
}
